Skip to main content
POST
Instantiate Retriever Template

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

template_id
string
required

Template ID

Body

application/json

Request to instantiate a retriever from a template.

retriever_name
string
required

Name for the new retriever

Required string length: 1 - 100
collection_identifiers
string[]
required

Collection identifiers to use for the retriever

Minimum array length: 1
description
string | null

Optional description override for the retriever

Maximum string length: 1000
tags
string[]

Optional tags for the retriever

Response

Successful Response

Response after instantiating a retriever template.

retriever_id
string
required

ID of the created retriever

retriever_name
string
required

Name of the created retriever

template_id
string
required

ID of the template used

status
string
default:created

Status of the instantiation

created_at
string<date-time>

Timestamp when retriever was created